[Numpy-discussion] Some incompatibilities in numpy trunk

Gael Varoquaux gael.varoquaux@normalesup....
Sun Dec 6 08:11:16 CST 2009


On Sun, Dec 06, 2009 at 04:07:16PM +0200, Pauli Virtanen wrote:
> su, 2009-12-06 kello 14:53 +0100, Gael Varoquaux kirjoitti:
> > I have a lot of code that has stopped working with my latest SVN pull to
> > numpy.

> Which SVN revision? Before or after the Py3K commits?
> Note that the trunk is currently aiming at 1.5.x, code for 1.4.x is in a
> branch.

Trunk. I had indeed forgotten that we where in 1.5.x now.


> > I find it a bit strange that a '.x' release induces so much breakage,
> > and I am afraid that it won't be popular amongst our users.

> Well, there's still a lot of time to fix these issues before 1.5.0 is
> out. Just file bug tickets for each one :)

OK, cool. Glad to see that we are on the same page. I will file tickets.

Gaël


More information about the NumPy-Discussion mailing list